# Class TCefPrintHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPrintHandler

## Declaration

`type TCefPrintHandlerOwn = class(TCefBaseRefCountedOwn, ICefPrintHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefPrintHandlerOwn

## Overview

### Methods

| `procedure OnPrintStart(const browser: ICefBrowser); virtual; abstract;`
| `procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean); virtual; abstract;`
| `procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean); virtual;`
| `procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean); virtual;`
| `procedure OnPrintReset(const browser: ICefBrowser); virtual; abstract;`
| `procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult: TCefSize); virtual;`
| `procedure RemoveReferences; virtual; abstract;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnPrintStart(const browser: ICefBrowser); virtual; abstract;`
This item has no description. Showing description inherited from ICefPrintHandler.OnPrintStart. Called when printing has started for the specified |browser|. This function will be called before the other OnPrint*() functions and irrespective of how printing was initiated (e.g. ICefBrowserHost.print(), JavaScript window.print() or PDF extension print button).

| `procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean); virtual; abstract;`
This item has no description. Showing description inherited from ICefPrintHandler.OnPrintSettings. Synchronize |settings| with client state. If |get_defaults| is true (1) then populate |settings| with the default print settings. Do not keep a reference to |settings| outside of this callback.

| `procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean); virtual;`
This item has no description. Showing description inherited from ICefPrintHandler.OnPrintDialog. Show the print dialog. Execute |callback| once the dialog is dismissed. Return true (1) if the dialog will be displayed or false (0) to cancel the printing immediately.

| `procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean); virtual;`
This item has no description. Showing description inherited from ICefPrintHandler.OnPrintJob. Send the print job to the printer. Execute |callback| once the job is completed. Return true (1) if the job will proceed or false (0) to cancel the job immediately.

| `procedure OnPrintReset(const browser: ICefBrowser); virtual; abstract;`
This item has no description. Showing description inherited from ICefPrintHandler.OnPrintReset. Reset client state related to printing.

| `procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult: TCefSize); virtual;`
This item has no description. Showing description inherited from ICefPrintHandler.GetPDFPaperSize. Return the PDF paper size in device units. Used in combination with ICefBrowserHost.PrintToPdf().

| `procedure RemoveReferences; virtual; abstract;`
This item has no description. Showing description inherited from ICefPrintHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.